Prerequisites for the BeyondTrust Privileged Remote Access Integration with Privileged Identity

 

You must purchase this integration separately from both your BeyondTrust Privileged Remote Access and Privileged Identity solutions. For more information, contact BeyondTrust sales.

To complete this integration, please ensure that you have the necessary software installed and configured as indicated in this guide, accounting for any network considerations. The integration is provided in the form of a plugin (ZIP archive containing the necessary DLL files and other supporting files) for use within BeyondTrust's Endpoint Credential Manager (ECM). Please ensure you have acquired the proper version of the ECM to be compliant with the version of BeyondTrust Privileged Remote AccessConfigure the Privileged Identity Plugin for Integration with Privileged Remote Access.

Applicable Versions

  • Privileged Remote Access: 15.x and newer
  • Privileged Identity: 5.4.0 and newer

Network Considerations

The following network communication channels must be open for the integration to work properly.

Outbound From Inbound To TCP Port # Purpose
ECM Server Privileged Remote Access Appliance 443 ECM calls to the BeyondTrust API.
ECM Server Privileged Identity

443

ECM calls to Privileged Identity.